Together AI SDK (Python)
from together import Together
client = Together()
result = client.beta.jig.queue.clear(model="my-deployment")
print(result)import Together from "together-ai";
const client = new Together();
const result = await client.beta.jig.queue.clear({ model: "my-deployment" });
console.log(result);
import Together from "together-ai";
const client = new Together();
const result = await client.beta.jig.queue.clear({ model: "my-deployment" });
console.log(result);
curl --request POST \
--url https://api.together.ai/v1/queue/clear \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>"
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.together.ai/v1/queue/clear",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'model' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.together.ai/v1/queue/clear"
payload := strings.NewReader("{\n \"model\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.together.ai/v1/queue/clear")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"model\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.together.ai/v1/queue/clear")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"model\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"canceled_count": 123
}{
"code": "<string>",
"message": "<string>",
"param": "<string>",
"type": "<string>"
}{
"code": "<string>",
"message": "<string>",
"param": "<string>",
"type": "<string>"
}{
"code": "<string>",
"message": "<string>",
"param": "<string>",
"type": "<string>"
}Queue
Clear a model's pending jobs
Cancel all pending jobs for the given model. Running jobs are left untouched. Returns the number of jobs that were canceled.
POST
/
queue
/
clear
Together AI SDK (Python)
from together import Together
client = Together()
result = client.beta.jig.queue.clear(model="my-deployment")
print(result)import Together from "together-ai";
const client = new Together();
const result = await client.beta.jig.queue.clear({ model: "my-deployment" });
console.log(result);
import Together from "together-ai";
const client = new Together();
const result = await client.beta.jig.queue.clear({ model: "my-deployment" });
console.log(result);
curl --request POST \
--url https://api.together.ai/v1/queue/clear \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>"
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.together.ai/v1/queue/clear",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'model' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.together.ai/v1/queue/clear"
payload := strings.NewReader("{\n \"model\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.together.ai/v1/queue/clear")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"model\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.together.ai/v1/queue/clear")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"model\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"canceled_count": 123
}{
"code": "<string>",
"message": "<string>",
"param": "<string>",
"type": "<string>"
}{
"code": "<string>",
"message": "<string>",
"param": "<string>",
"type": "<string>"
}{
"code": "<string>",
"message": "<string>",
"param": "<string>",
"type": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Clear request
Request to clear pending jobs for a model.
Model identifier whose pending jobs should be canceled
Response
Pending jobs canceled
Count of pending jobs canceled by the clear operation.
Number of pending jobs that were canceled
Was this page helpful?
⌘I